Bug 630321 - Please add direct git access to libguestfs in transifex
Summary: Please add direct git access to libguestfs in transifex
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Localization
Classification: Fedora
Component: l10n-requests
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Piotr Drąg
QA Contact: A S Alam
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-04 19:30 UTC by Richard W.M. Jones
Modified: 2013-07-03 01:04 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-03-28 12:10:57 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2010-09-04 19:30:45 UTC
Description of problem:

Currently libguestfs uses bugzilla for uploading PO files.  I have set up a
mirror git repo which you should be able to commit to directly:

http://fedorapeople.org/gitweb?p=rjones/public_git/libguestfs.git;a=summary

I have attempted to set up permissions so that the transif(ex) user can push
changes.  This is the current state of the directory ACLs:

$ getfacl .
# file: .
# owner: rjones
# group: rjones
user::rwx
user:transif:-w-
group::rwx
mask::rwx
other::r-x

(I just did 'setfacl -m u:transif:w .' and nothing else).

Note there are two components that need to be updated:

https://translate.fedoraproject.org/projects/p/libguestfs/c/master/
https://translate.fedoraproject.org/projects/p/libguestfs/c/master-docs/

Note that transifex can either push to the master branch, or we can create a
special branch for it.  I suspect creating a special translations branch will be
better, but what do you think?

Comment 1 Piotr Drąg 2010-09-07 08:02:35 UTC
(In reply to comment #0)
> Note that transifex can either push to the master branch, or we can create a
> special branch for it.  I suspect creating a special translations branch will
> be
> better, but what do you think?

That depends only on what is easier for you to merge with canonical master branch.

Comment 2 Richard W.M. Jones 2010-09-07 08:13:03 UTC
I think just push it into master for now.  We'll see how it goes.

Comment 3 Piotr Drąg 2010-09-07 08:46:42 UTC
What's the correct URL to push? Using ssh://fedorapeople.org/~rjones/public_git/libguestfs.git I can't even clone the repository.

Comment 4 Richard W.M. Jones 2010-09-07 09:06:10 UTC
According to:
http://fedoraproject.org/wiki/Infrastructure/fedorapeople.org#Browsing_your_project_via_gitweb
the URL should be:
ssh://fedorapeople.org/home/fedora/rjones/public_git/libguestfs.git

Comment 5 Richard W.M. Jones 2010-09-07 09:07:51 UTC
Ah no, those are the broken URLs.  Using:

ssh://fedorapeople.org/~rjones/public_git/libguestfs.git

should work.  However the URL I use from home is:


[remote "fedorapeople"]
	url = rjones@fedorapeople.org:public_git/libguestfs.git

Comment 6 Piotr Drąg 2010-09-07 09:50:40 UTC
None of this works. Are you sure Transifex can commit to fedorapeople?

Comment 7 Richard W.M. Jones 2010-09-07 12:47:12 UTC
No, all I've done is to change the ACL.

Asked on infrastructure@ mailing list.

Comment 8 Richard W.M. Jones 2010-09-10 19:02:51 UTC
It doesn't look like infrastructure are going to help us out
on this one.  Can you do a plain 'ssh'?  'ssh -v'?  What are
the errors and/or output?

Comment 9 Piotr Drąg 2010-09-13 13:30:10 UTC
I don't have ssh access to Transifex. Only Dimitris, Diego, or someone from Infra can help us here.

Comment 10 Richard W.M. Jones 2010-09-13 18:12:52 UTC
Fedora Infrastructure ticket:
https://fedorahosted.org/fedora-infrastructure/ticket/2388

Comment 11 Piotr Drąg 2011-03-28 12:10:57 UTC
Translations are now managed in Transifex.net.

http://www.transifex.net/projects/p/libguestfs/


Note You need to log in before you can comment on or make changes to this bug.